using System.Windows;

namespace MECF.Framework.UI.Client.Core;

public enum CommonAggregateEvents
{
    EnterReadOnlyMode
}

public sealed class Helper
{
    public static T FindSkinResource<T>(string name, T fallbackBrush)
    {
        var brush = Application.Current.TryFindResource(name);
        if (brush is T b)
            return b;
        return fallbackBrush;
    }
}